<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myInvoiceItemLabel" jhiTranslate="mpmApp.invoiceItem.home.createOrEditLabel">Create or edit a Invoice Item</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!invoiceItem.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="invoiceItem.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoiceItem.idinvdet" for="field_idinvdet">Idinvdet</label>
            <input type="number" class="form-control" name="idinvdet" id="field_idinvdet"
                [(ngModel)]="invoiceItem.idinvdet"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoiceItem.idinv" for="field_idinv">Idinv</label>
            <input type="number" class="form-control" name="idinv" id="field_idinv"
                [(ngModel)]="invoiceItem.idinv"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoiceItem.nobbm" for="field_nobbm">Nobbm</label>
            <input type="text" class="form-control" name="nobbm" id="field_nobbm"
                [(ngModel)]="invoiceItem.nobbm"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoiceItem.nopo" for="field_nopo">Nopo</label>
            <input type="text" class="form-control" name="nopo" id="field_nopo"
                [(ngModel)]="invoiceItem.nopo"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoiceItem.donum" for="field_donum">Donum</label>
            <input type="text" class="form-control" name="donum" id="field_donum"
                [(ngModel)]="invoiceItem.donum"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoiceItem.produkstatus" for="field_produkstatus">Produkstatus</label>
            <input type="text" class="form-control" name="produkstatus" id="field_produkstatus"
                [(ngModel)]="invoiceItem.produkstatus"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoiceItem.productcode" for="field_productcode">Productcode</label>
            <input type="text" class="form-control" name="productcode" id="field_productcode"
                [(ngModel)]="invoiceItem.productcode"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoiceItem.productname" for="field_productname">Productname</label>
            <input type="text" class="form-control" name="productname" id="field_productname"
                [(ngModel)]="invoiceItem.productname"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoiceItem.qty" for="field_qty">Qty</label>
            <input type="number" class="form-control" name="qty" id="field_qty"
                [(ngModel)]="invoiceItem.qty"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoiceItem.price" for="field_price">Price</label>
            <input type="number" class="form-control" name="price" id="field_price"
                [(ngModel)]="invoiceItem.price"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.invoiceItem.note" for="field_note">Note</label>
            <input type="number" class="form-control" name="note" id="field_note"
                [(ngModel)]="invoiceItem.note"  />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
